Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 10-17-02, 06:28 PM   #1
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default Getting unresolved symbols? Read this for help.

If you're getting a message about unresolved symbols when trying to insert NVdriver, then this thread is for you.

Unresolved symbols are most often caused by a mismatch between the *running* kernel and your kernel sources. One of the following cases should apply to you:

1) I'm trying to compile the driver from source and getting unresolved symbols!

Your kernel source tree is either for a different kernel, or you've changed your kernel configuration without recompiling. You'll need to fall back to your old config (or just get around to that recompile you haven't done yet) to properly build the driver. If you're using a distribution kernel (if you've never touched your kernel, then you are), then you'll need to make sure that you've got the correct kernel-source package installed. If you have an RPM based system, running

'rpm -qa | grep kernel'

will usually return both the kernel and kernel-source package. Make sure they have the same version string. Some auto-updaters will update your kernel for you, but not your kernel-source package.

Also, some distributions, like Slackware 8.0, shipped unconfigured kernel sources with their kernels. You'll most likely have to configure and recompile your kernel to install the driver.

2) I'm trying to rebuild the NVIDIA_kernel SRPM and i'm getting unresolved symbols!

Same deal as #1 above - your kernel source tree is either for a different kernel, or you've changed your kernel configuration without recompiling. See the rest of #1 for tips.

3) I'm trying to install NVIDIA_kernel-someversion.somearch.rpm, and i'm getting unresolved symbols!

This usually means you're installing the wrong RPM. The first thing you should do is download NVchooser.sh from the driver download page (currently http://www.nvidia.com/view.asp?IO=li...splay_1.0-3123) and run it on your machine. To run it, type

'sh NVchooser.sh'

in a terminal window. This will tell you what files you need to download and install. You'll then need to uninstall the old RPM and install the one suggested by NVchooser. If NVchooser suggests the SRPM or source tarballs, then you'll want to grab a copy of the README and head up to #1 above to make sure you're ready to rebuild them.

Note: You CANNOT use an RPM that's not compiled for the exact system you're running. This means that the Mandrake 8.2 RPMs won't work on a Mandrake 9.0 system.

If you've followed the above, read the README (twice, if possible ), browsed through old threads in the forum, and decided that none of this applies to you, then please respond to this thread; we'll try our best to get you taken care of.

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote
Old 10-18-02, 09:09 AM   #2
abo
Guest
 
Posts: n/a
Unhappy

Ok I have compiled 2.4.19 and replaced my old kernel 2.4.18
(standard kernel tahat is installed with slackware 8.1) and I got this error when I tried to install NVIDIA_kernel-1.0-3123.tar :

unresolved symbols...

So I switched to my old kernel 2.4.18 and installed the driver and it worken fantastic. But then I replaced 2.4.18 kernel with 2.4.19 and I get this error when I try to start kde:

Failed to initialize the NVidia kernel module !

(nvidia script said that it was the right kernel for me)
  Reply With Quote
Old 10-18-02, 12:33 PM   #3
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

What does ls -l /lib/modules/2.4.19/build tell you? The rightmost part of the output should be something like "/lib/modules/2.4.19/build -> /usr/src/linux-2.4.19". If the part of this to the right of the arrow isn't actually the base of the 2.4.19 kernel, change it so that it is.

Otherwise, were you running kernel 2.4.19 when you compiled the NVIDIA_kernel .tar.gz package? You have to be running the kernel you're compiling for, most of the time.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 10-18-02, 01:11 PM   #4
Andy Mecham
l33t master
 
Join Date: Jul 2002
Location: Santa Clara, CA
Posts: 1,163
Default

Admins, can you sticky this thread?

--andy
__________________
Andy Mecham
NVIDIA Corporation
Andy Mecham is offline   Reply With Quote
Old 10-19-02, 10:59 AM   #5
abo
Guest
 
Posts: n/a
Default

1. ls -l /lib/modules/2.4.19/build tells me tha no file or directory found. But I do have a /lib/modules/2.4.19 directory just no build in it.

2. I was running kernel 2.4.19 when I compiled it for the second time.

3. I thought this would do the trick: make install SYSINCLUDE=/usr/src/2.4.19 (that's where my kernel 2.4.19 source is)
but I got the same error with this.

The error that I get every time is: unresolved symbols in /lib/modules/2.4.19/video/NVidia

please help
  Reply With Quote
Old 10-19-02, 02:59 PM   #6
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

/usr/src/2.4.19? You're sure on that directory name? I guess it works, but it isn't what they're usually called. Oh well, shouldn't be a huge deal.

Try this out:

su -
cd /lib/modules/2.4.19
ln -s /usr/src/2.4.19 build


Then blow away the directory that the NVIDIA_kernel tarball created, and re-decompress it (just a make clean may work, but blowing it away makes absolutely sure it's completely clean). Then do a make install again, still as root.

As long as /lib/modules/2.4.19/build is pointing at the root of the correct, configured (and preferably built, but that's not strictly necessary) kernel source tree, there's no reason you'd need to use SYSINCLUDE.

If you get errors, post them.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 10-19-02, 03:37 PM   #7
abo
Guest
 
Posts: n/a
Smile

thanks everybody !!!!
it works !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  Reply With Quote
Old 10-19-02, 04:37 PM   #8
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Good!
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote

Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Cops might finally need a warrant to read your Gmail News Archived News Items 0 09-12-12 08:00 PM
APM (nonsuspend) hard-lockups - I READ THE FAQ idangazit NVIDIA Linux 9 12-27-02 07:43 AM
Redhat 8 + Nvidia 3123 + tarball src rpms = wtf?? caustic NVIDIA Linux 8 10-09-02 08:56 PM
Installing nForce drivers on Debian 3.0 Doink NVIDIA Linux 4 09-14-02 08:34 PM
Linux 2.4.19 unresolved symbols... wallsaroundme NVIDIA Linux 3 08-10-02 08:24 PM

All times are GMT -5. The time now is 10:05 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.